default:
  image: ruby:latest
  tags:
    - 'calyx'

cache:
  paths:
    - vendor/bundle

before_script:
  - ruby -v
  - bundle config set --local path vendor/bundle
  - bundle config set --local with development
  - bundle

run_tests:
  script:
    - rake test
  only:
    - main
